<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"

	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
    xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
    
    xmlns:lxslt="http://xml.apache.org/xslt"
    xmlns:result="http://www.example.com/results"
    xmlns:exsl="http://exslt.org/common"

	extension-element-prefixes="java util result exsl"
	exclude-result-prefixes="util java util">

	
<!-- The main layout is defined here -->
<!-- Every page in our library uses this template -->
<xsl:template name="mainTemplate">
<html>
	<head>
		<!-- ***** in header.xsl ***** -->
		<xsl:call-template name="create-html-header"/>
		<xsl:call-template name="basketHeadTags"/>	
	</head>
	<body id="top">
		<div class="wrapper col0">
			<div id="topline">
			  <ul>
			    		<xsl:call-template name="loginLinks"/>		    		
					<li><a href="{$library_name}/collection/{$collNameChecked}/page/pref">Preferences</a></li>
					<li><a href="{$library_name}/collection/{$collNameChecked}/page/help">Help</a></li>
				</ul>
			<br class="clear" />
			</div>
		</div>
	<div class="wrapper">
		<div id="header">
			<div class="fl_left">
				<h1><a href="{$library_name}"><xsl:call-template name="siteName"/></a></h1>
				<p>&#160;
					<xsl:if test="page/pageResponse/collection">
						<a href="{$library_name}/collection/{$collNameChecked}/page/about">
							<xsl:value-of select="page/pageResponse/collection/displayItemList/displayItem[@name='name']"/>
						</a>
					</xsl:if>
				</p>
			</div>
			<br class="clear"/>
		</div>
	</div>
		<div class="wrapper col2">
			<div id="topbar">
				<div id="topnav">
					<ul>
						<xsl:call-template name="navBar"/>
					</ul>
				</div>
				<!--**********************************************************************-->
				<xsl:choose>
					<xsl:when test="page/pageRequest/@subaction='home'">
						<xsl:call-template name="crossCollSearch"/>
					</xsl:when>
					<xsl:when test="page/pageRequest/paramList/param/@name='c' and /page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']">
						<xsl:call-template name="quick-search-area"/>
					</xsl:when>
					<xsl:otherwise/>
				</xsl:choose>
				<!--**********************************************************************-->
			</div>
		</div>
		<div class="wrapper">
			<div class="container">
				<xsl:apply-templates select="/page"/>
				<br class="clear" />
			</div>
		</div>
		<xsl:call-template name="gs_footer"/>
	</body>
</html>
</xsl:template>

	
<!-- Template controlling the footer. -->
<xsl:template name="gs_footer">
<!-- Put footer in here. -->
<!-- ******DO NOT REMOVE THE LINK TO OS TEMPLATES: Template is free to use/modify, but this link MUST remain on all pages. Do not remove Copyright information. Replace "Your Webpage Here" (and it's link) with your own information.-->
<div class="wrapper col8">
	<div id="copyright">
		<p class="fl_left">Developed in partnership between <a href="http://www.whakatohea.co.nz/">Whakatōhea Māori Trust Board</a> and the <a href="https://www.waikato.ac.nz/">University of Waikato</a></p>
		<!--<p class="fl_right">Template by <a href="http://www.os-templates.com/" title="Free Website Templates">OS Templates</a></p>-->
		<p class="fl_right">Powered by <a href="http://www.greenstone.org/" title="Greenstone Digital Library Software">Greenstone3</a></p>
		<br class="clear" />
	</div>
</div>
</xsl:template>
	
<xsl:template name="navBar">
<xsl:choose>
<xsl:when test="page/pageResponse/collection">
<xsl:variable name="count" select="count(/page/pageResponse/collection/serviceList/service[@name='ClassifierBrowse']/classifierList/classifier)"/>
<xsl:variable name="currentPage" select="page/pageRequest/@fullURL"/>

<li><a href="{$library_name}">DL Home</a></li>
<li>
<xsl:if test="page/pageRequest/@subaction='about'"><xsl:attribute name="class">active</xsl:attribute></xsl:if>
<a href="{$library_name}/collection/{$collNameChecked}/page/about">About</a>
</li>

<xsl:choose>
<xsl:when test="$count > 3">
<li><a href="{$currentPage}">Browse</a>
<ul>
<xsl:call-template name="Browsing"/>
</ul>
</li>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="Browsing"/>
</xsl:otherwise>
</xsl:choose>
<!--
<xsl:if test="/page/pageResponse/collection/serviceList/service/@type='query'">
<li><a href="{$currentPage}">Search</a>
<ul>
<xsl:for-each select="/page/pageResponse/collection/serviceList/service[@type='query']">
<xsl:variable name="search" select="@name"/>
<xsl:variable name="search_name" select="displayItem[@name='name']"/>
<li><a href="{$library_name}/collection/{$collNameChecked}/search/{$search}"><xsl:value-of select="$search_name"/></a></li>
</xsl:for-each>
</ul>
</li>
</xsl:if>
-->
</xsl:when>
<xsl:otherwise> </xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="Browsing">
	<xsl:for-each select="/page/pageResponse/collection/serviceList/service[@name='ClassifierBrowse']/classifierList/classifier">
		<li>
			<xsl:choose>
			<!-- If this tab is selected then colour it differently -->
				<xsl:when test="util:contains(/page/pageRequest/paramList/param[@name = 'cl' and /page/pageRequest/@action = 'b']/@value, @name)">
				<xsl:attribute name='class'>active</xsl:attribute>
				</xsl:when>
				<xsl:otherwise> </xsl:otherwise>
			</xsl:choose>
			<a>
				<!-- Add a title element to the <a> tag if a description exists for this classifier -->
				<xsl:if test="displayItem[@name='description']">
					<xsl:attribute name='title'><xsl:value-of select="displayItem[@name='description']"/></xsl:attribute>
				</xsl:if>

				<!-- Add the href element to the <a> tag -->
				<xsl:choose>
					<xsl:when test="@name">
						<xsl:attribute name="href"><xsl:value-of select="$library_name"/>/collection/<xsl:value-of select="/page/pageResponse/collection[@name=$collNameChecked]/@name"/>/browse/<xsl:value-of select="@name"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="href"><xsl:value-of select="$library_name"/>/collection/<xsl:value-of select="/page/pageResponse/collection[@name=$collNameChecked]/@name"/>/browse/1</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>

				<!-- Add the actual text of the <a> tag -->
				<xsl:value-of select="displayItem[@name='name']"/>
			</a>
		</li>
	</xsl:for-each>
</xsl:template>

<xsl:template name="crossCollSearch">
	<div id="search">
		<xsl:for-each select="/page/pageResponse/serviceList/service[@name='TextQuery']">
			<form name="QuickSearch" method="get" action="{$library_name}">
				<input type="hidden" name="a" value="q"/>
				<input type="hidden" name="rt" value="rd"/>
				<input type="hidden" name="s" value="{@name}"/>
				<input type="hidden" name="s1.collection" value="all"/>
				<input type="text" name="s1.query" id="search-text" value="Search all collections…" onfocus="this.value=(this.value=='Search all collections…')? '' : this.value ;" />
				<input type="submit" name="go" id="go" value="Search" />
			</form>
		</xsl:for-each>
	</div>
	<br class="clear" />
</xsl:template>

<xsl:template name="CollectionSearch">
<div id="search">
<xsl:variable name="subaction" select="/page/pageRequest/@subaction"/>
<form action="{$library_name}/collection/{$collNameChecked}/search/TextQuery">
<!-- This parameter says that we have come from the quick search area -->
<input type="hidden" name="qs" value="1"/>
<input type="hidden" name="rt" value="rd"/>
<input type="hidden" name="s1.level">
<xsl:attribute name="value">
<xsl:choose>
<xsl:when test="/page/pageRequest/paramList/param[@name = 's1.level']">
<xsl:value-of select="/page/pageRequest/paramList/param[@name = 's1.level']/@value"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="/page/pageResponse/collection/serviceList/service[@name='TextQuery']/paramList/param[@name = 'level']/@default"/>
</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
</input>
<xsl:choose>
<xsl:when test="/page/pageResponse/service[@name = 'TextQuery']/paramList/param[@name = 'startPage']">
<input type="hidden" name="s1.startPage" value="1"/>
</xsl:when>
<xsl:otherwise>
<input type="hidden" name="startPage" value="1"/>
</xsl:otherwise>
</xsl:choose>
<xsl:if test="not(/page/pageRequest/paramList/param[@name = 's1.hitsPerPage'])">
<input type="hidden" name="s1.hitsPerPage" value="20"/>
</xsl:if>
<xsl:if test="not(/page/pageRequest/paramList/param[@name = 's1.maxDocs'])">
<input type="hidden" name="s1.maxDocs" value="100"/>
</xsl:if>
<!-- The query text box -->
<span class="querybox">
<xsl:variable name="qs">
<xsl:apply-templates select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='query']" mode="calculate-default"/>
</xsl:variable>
<nobr>
<xsl:apply-templates select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='query']">
<xsl:with-param name="default" select="java:org.greenstone.gsdl3.util.XSLTUtil.tidyWhitespace($qs, /page/@lang)"/>
</xsl:apply-templates>
</nobr>
</span>
<!-- The submit button (for TextQuery) -->
<xsl:if test="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']">
<input type="submit" name="go" id="go" value="Search" > </input>
<br/>
</xsl:if>
</form>
</div>
<br class="clear" />
<!--<div id="advanced"><a href="{$library_name}/collection/{$collNameChecked}/search/TextQuery">advanced search</a></div>-->
</xsl:template>


<xsl:template name="loginLinks">
	<xsl:variable name="username" select="/page/pageRequest/userInformation/@username"/>
	<xsl:variable name="groups" select="/page/pageRequest/userInformation/@groups"/>

	<xsl:choose>
	  <xsl:when test="$username">
	    <!-- Depositor link: only for logged-in users.
		 CSS class=login to make Depositor link blue to indicate it's only available when logged in.
		 Don't put this depositorTitleAndLink inside the test for whether user 'admin' is
		 in the current list of groups, as we want the depositor link to be visible for any
		 logged in user. The collection they want to deposit a doc into will determine whether
		 that user has the right to modify that collection.
	    -->
			<li class="login"><gslib:depositorTitleAndLink/></li>
			<xsl:if test="contains($groups,'admin')">
				<li class="login"><a href="{$library_name}/admin/AddUser">Add user</a></li>
				<li class="login"><a href="{$library_name}/admin/ListUsers">Administration</a></li>
			</xsl:if>
			<li class="login"><a href="{$library_name}/admin/AccountSettings?s1.username={$username}">Logged in as: <xsl:value-of select="$username"/></a></li>
			<li class="login"><a href="{$library_name}?logout=">Logout</a></li>
		</xsl:when>
		<xsl:otherwise>
			<li class="login">
			<a href="{$library_name}?a=p&amp;sa=login&amp;redirectURL={$library_name}%3Fa=p%26sa=home">Login
				<xsl:attribute name="title">
				<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'login_tip')"/>
				</xsl:attribute>
			</a>
			</li>
			</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="quick-search-area">
    <xsl:if test="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@type='query']">
      <xsl:variable name="subaction" select="/page/pageRequest/@subaction"/>
      <div id="quicksearcharea">
	<xsl:if test="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']">
	  <xsl:choose>
	    <xsl:when test="not(page/pageRequest[@action='q']) or /page/pageRequest/paramList/param[@name='qs']/@value = '1'">
	      <form action="{$library_name}/collection/{$collNameChecked}/search/TextQuery">
		<!-- This parameter says that we have come from the quick search area -->
		
		<input type="hidden" name="qs" value="1"/>
		<input type="hidden" name="rt" value="rd"/>
		<input type="hidden" name="s1.level">
		  <xsl:attribute name="value">
		    <xsl:value-of select="/page/pageResponse/collection/serviceList/service[@name='TextQuery']/paramList/param[@name = 'level']/@default"/>
		  </xsl:attribute>
		</input>
		<xsl:choose>
		  <xsl:when test="/page/pageResponse/service[@name = 'TextQuery']/paramList/param[@name = 'startPage']">
		    <input type="hidden" name="s1.startPage" value="1"/>
		  </xsl:when>
		  <xsl:otherwise>
		    <input type="hidden" name="startPage" value="1"/>
		  </xsl:otherwise>
		</xsl:choose>

		<!-- The query text box -->
		<span class="querybox">
		  <xsl:variable name="qs">
		    <xsl:apply-templates select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='query']" mode="calculate-default"/>
		  </xsl:variable>
		  <nobr>
		    <xsl:apply-templates select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='query']">
		      <!--
			  <xsl:with-param name="default" select="java:org.greenstone.gsdl3.util.XSLTUtil.tidyWhitespace($qs, /page/@lang)"/>
		      -->
		      <xsl:with-param name="default" select="normalize-space($qs)"/>
		      
		    </xsl:apply-templates>
		  </nobr>
		</span>
		<!-- The index selection list -->
		<xsl:if test="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='index']/@type = 'enum_single'">
		  <span class="textselect">
		    <xsl:apply-templates select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='index']">
		      <xsl:with-param name="default">
			<xsl:apply-templates select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='index']" mode="calculate-default"/>
		      </xsl:with-param>
		      <xsl:with-param name="hideSingle">false</xsl:with-param>
		      <xsl:with-param name="quickSearch">true</xsl:with-param>
		    </xsl:apply-templates>
		  </span>
		</xsl:if>
		<!-- The partition selection list -->						
		<xsl:if test="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='indexSubcollection']/@type = 'enum_single'">
		  <span class="textselect">
		    <xsl:apply-templates select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='indexSubcollection']">
		      <xsl:with-param name="default">
			<xsl:apply-templates select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='indexSubcollection']" mode="calculate-default"/>
		      </xsl:with-param>
		      <xsl:with-param name="hideSingle">true</xsl:with-param>
		      <xsl:with-param name="quickSearch">true</xsl:with-param>
		    </xsl:apply-templates>
		  </span>
		</xsl:if>	
		<!-- The language selection list -->						
		<xsl:if test="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='indexLanguage']/@type = 'enum_single'">
		  <span class="textselect">
		    <xsl:apply-templates select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='indexLanguage']">
		      <xsl:with-param name="default">
			<xsl:apply-templates select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='indexLanguage']" mode="calculate-default"/>
		      </xsl:with-param>
		      <xsl:with-param name="hideSingle">true</xsl:with-param>
		      <xsl:with-param name="quickSearch">true</xsl:with-param>
		    </xsl:apply-templates>
		  </span>
		</xsl:if>							
		<!-- The submit button (for TextQuery) -->
		<xsl:if test="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']">
		  <input type="submit" id="quickSearchSubmitButton">
		    <xsl:attribute name="value">
		      <xsl:value-of select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/displayItem[@name='submit']"/>
		    </xsl:attribute>
		  </input>
		  <br/>
		</xsl:if>
	      </form>
	    </xsl:when>
	    <xsl:otherwise><br/></xsl:otherwise>
	  </xsl:choose>			
	</xsl:if>
	<!-- The list of other search types -->
	<!--
	<ul>
	  <xsl:for-each select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@type='query']">
	    <xsl:if test="/page/pageRequest/paramList/param[@name='qs']/@value = 1 or not(@name = /page/pageRequest/paramList/param[@name='s']/@value)">
	      <li class="ui-state-default ui-corner-all">
		    <a>
		      <xsl:attribute name="href">
			<xsl:value-of select="$library_name"/>/collection/<xsl:value-of select="$collNameChecked"/>/search/<xsl:value-of select="@name"/>
		      </xsl:attribute>
		      <xsl:value-of select="displayItem[@name='name']"/>
		    </a>
	      </li>
		</xsl:if>
	  </xsl:for-each>
	</ul>
	-->
      </div>
    </xsl:if>
  </xsl:template>
	
</xsl:stylesheet>
